From d7f20aee7be00effe9d17063efd679379e8aab65 Mon Sep 17 00:00:00 2001
From: Krunal Soni <ksoni@qca.qualcomm.com>
Date: Tue, 16 Sep 2014 18:55:43 -0700
Subject: [PATCH 15/18] qcacld: DFS: Fix to reset center channel segment 0 in
 beacon.

In case of AP, when DFS operation is performed and if AP runs
out of the channel in 80Mhz bandwidth then we fallback to lower
bandwidth. Once AP fallbacks to lower bandwidth, it needs to reset
center channel segment 0 field of vht-operation-element in beacon.

Change-Id: Ida3a2079e25f704ca555f1c121e37af0cfb3d50c
CRs-Fixed: 725573
---
 CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c b/CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c
index 40c12ba..51a5dbd 100644
--- a/CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c
+++ b/CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c
@@ -6272,6 +6272,19 @@ limProcessSmeChannelChangeRequest(tpAniSirGlobal pMac, tANI_U32 *pMsg)
                     {
                         limLog(pMac, LOGP, FL("could not set  WNI_CFG_CHANNEL_BONDING_MODE at CFG"));
                     }
+                    /*
+                     * In case of DFS operation, If AP falls back to lower
+                     * bandwidth [< 80Mhz] then there is no need of
+                     * Center freq segment. So reset it to zero.
+                     */
+                    if (cfgSetInt(pMac,
+                                  WNI_CFG_VHT_CHANNEL_CENTER_FREQ_SEGMENT1,
+                                  0)
+                                  != eSIR_SUCCESS)
+                    {
+                        limLog(pMac, LOGP,
+                        FL("couldn't reset center freq seg 0 in beacon"));
+                    }
                 }
                 if (chanWidth == eHT_CHANNEL_WIDTH_80MHZ)
                 {
-- 
1.8.2

